Lomiri exta components are a collection of components that does not have the necessary
level of quality for inclusion in the toolkit (https://gitlab.com/ubports/core/lomiri-ui-toolkit):
- lack of documentation
- lack of automated tests

= Dependencies =

    $ apt-get install qtcore5-dev
                      qtbase5-dev
                      qtdeclarative5-dev
                      libexiv2-dev
                      libcups2-dev

    install the cmake-extras from the ubports github

= Building =

The build system uses cmake.
To compile, simply invoke cmake and then make:

    $ cmake .
    $ make

= Unit tests =

To run the unit tests, you can use the commands below:

    $ make test

      - or -

    $ ctest

= Automated UI tests =

We use autopilot (https://launchpad.net/autopilot) to test the UI.
To run the tests, you will need to install python-autopilot and libautopilot-qt.
Then do the following:

    $ cd tests/autopilot/
    $ autopilot run lomiri_ui_extras

You can get a list of all available tests with the following command:

    $ autopilot list lomiri_ui_extras
